unit WndProForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    ListBox1: TListBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    Bevel1: TBevel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
  private
    Last: Integer;
  public
    procedure WndProc (var Message: TMessage); override;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  ViewMsg, MList;

procedure TForm1.WndProc (var Message: TMessage);
begin
  if not (Message.Msg = Last) then
  begin
    with Form2.Listbox1 do
      ItemIndex := Items.Add (GetMessageName (Message.Msg));
    Last := Message.Msg;
  end;
  inherited WndProc (Message);
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Color := clBlue;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  Color := clRed;  
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  Color := clLtGray;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Caption := Edit1.Text;
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
var
  Pos: Integer;
begin
  // exchange Left and Top
  Pos := (Sender as TControl).Left;
  (Sender as TControl).Left := (Sender as TControl).Top;
  (Sender as TControl).Top := Pos;
end;

end.
